=== debian/changelog ===
qmmp (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop qmmp-plugin-projectm, projectm is being removed (Closes: #952775)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 03 Mar 2020 21:44:54 +0100

qmmp (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 05 Mar 2019 23:38:04 +0100

qmmp (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 04 Mar 2019 23:19:56 +0100
