=== debian/watch ===
version=3
http://qmmp.ylsoftware.com/files/ qmmp-(.+)\.tar\.bz2 debian uupdate
