=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE -DUSE_OSS4:BOOL=FALSE
+	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE
 else
 	EXTRA_CMAKE_ARGS = -DUSE_ALSA:BOOL=FALSE -DUSE_UDISKS:BOOL=FALSE
 endif
@@ -27,16 +25,17 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr \
 	  -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
-	  -DPLUGIN_DIR=lib/qmmp/qmmp \
 	  -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
 	  -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
+	  -DUSE_ARCHIVE=FALSE \
 	  $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
 
 override_dh_install:
-	chmod +x debian/qmmp/usr/share/qmmp/scripts/kwin.sh
+	dh_install -pqmmp-plugin-projectm
+	dh_install -Xprojectm
 
 # Avoid a call to ldconfig in postinst & postrm (ldconfig is not needed since we
 # only install private libraries)
@@ -48,3 +47,6 @@
 override_dh_auto_clean:
 	find -name '*.qm' | xargs rm -fv
 	dh_auto_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
